emacs-elpa-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[nongnu] elpa/lua-mode eb93be5 380/468: Merge pull request #158 from imm


From: Philip Kaludercic
Subject: [nongnu] elpa/lua-mode eb93be5 380/468: Merge pull request #158 from immerrr/enable-testing-on-osx
Date: Thu, 5 Aug 2021 04:59:13 -0400 (EDT)

branch: elpa/lua-mode
commit eb93be5e0c84b59a9e107a5d15b939809fcbe3b5
Merge: 52cc3e4 1f04654
Author: immerrr again <immerrr+lua@gmail.com>
Commit: GitHub <noreply@github.com>

    Merge pull request #158 from immerrr/enable-testing-on-osx
    
    travis: enable testing on osx
---
 .travis.yml              | 28 ++++++++++++++++++----------
 travis/before-install.sh | 24 ++++++++++++++++++++++++
 2 files changed, 42 insertions(+), 10 deletions(-)

diff --git a/.travis.yml b/.travis.yml
index 0479a5c..1b26360 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -5,25 +5,33 @@ addons:
   apt:
     packages:
     - lua5.2
+  homebrew:
+    update: true
+    packages:
+    - lua
 env:
-  - EVM_EMACS=emacs-26.1-travis-linux-xenial
-  - EVM_EMACS=emacs-26.2-travis-linux-xenial
   - EVM_EMACS=emacs-git-snapshot-travis-linux-xenial
-  - EVM_EMACS=emacs-24.3-travis
-  - EVM_EMACS=emacs-24.4-travis
-  - EVM_EMACS=emacs-24.5-travis
-  - EVM_EMACS=emacs-25.1-travis
-  - EVM_EMACS=emacs-25.2-travis
+  - EVM_EMACS=emacs-26.2-travis-linux-xenial
+  - EVM_EMACS=emacs-26.1-travis-linux-xenial
   - EVM_EMACS=emacs-25.3-travis
+  - EVM_EMACS=emacs-25.2-travis
+  - EVM_EMACS=emacs-25.1-travis
+  - EVM_EMACS=emacs-24.5-travis
+  - EVM_EMACS=emacs-24.4-travis
+  - EVM_EMACS=emacs-24.3-travis
+jobs:
+  include:
+    - os: osx
+      env:
+        - EVM_EMACS=emacs-26.1-travis
 matrix:
   allow_failures:
     - env: EVM_EMACS=emacs-git-snapshot-travis-linux-xenial
   fast_finish: true
 before_install:
-  - curl -fsSkL https://gist.github.com/rejeep/ebcd57c3af83b049833b/raw > 
travis.sh && source ./travis.sh
-  - evm install "$EVM_EMACS" --use --skip
-  - emacs --version
+  - source ./travis/before-install.sh
 install:
   - cask install
 script:
+  - echo 'print(123)' | lua -i
   - make test
diff --git a/travis/before-install.sh b/travis/before-install.sh
new file mode 100755
index 0000000..891ce51
--- /dev/null
+++ b/travis/before-install.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then
+    if ! [[ "$EVM_EMACS" == "emacs-26.1-travis" ]]; then
+        # FIXME: implement EVM_EMACS version translation.
+        echo "Only Emacs-26.1 is supported for OSX builds"
+        exit 1
+    fi
+    set -x
+    curl -fsSL 
https://emacsformacosx.com/emacs-builds/Emacs-26.1-universal.dmg -o 
/tmp/Emacs-26.1-universal.dmg &&
+        hdiutil attach /tmp/Emacs-26.1-universal.dmg &&
+        mkdir -p "$HOME/bin" &&
+        ln -s /Volumes/Emacs/Emacs.app/Contents/MacOS/Emacs "$HOME/bin/emacs" 
&&
+        export PATH="$HOME/bin:$PATH" &&
+        emacs --version &&
+        curl -fsSL https://raw.github.com/cask/cask/master/go -o 
/tmp/cask-bootstrap.py &&
+        python /tmp/cask-bootstrap.py &&
+        export PATH="$HOME/.cask/bin:$PATH"
+    set +x
+else
+    emacs --version
+    curl -fsSkL https://gist.github.com/rejeep/ebcd57c3af83b049833b/raw > 
travis.sh && source ./travis.sh
+    evm install "$EVM_EMACS" --use --skip
+fi



reply via email to

[Prev in Thread] Current Thread [Next in Thread]